/**
 * EntityDeterminerSpecific2.java
 *
 * File generated from the medication2::EntityDeterminerSpecific2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityDeterminerSpecific2.
 *
 */

@XmlType(name = "EntityDeterminerSpecific")
@XmlEnum
@XmlRootElement(name = "EntityDeterminerSpecific2")
public enum EntityDeterminerSpecific2 {
	@XmlEnumValue("INSTANCE")
	INSTANCE("INSTANCE");
	
	private final String value;

    EntityDeterminerSpecific2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityDeterminerSpecific2 fromValue(String v) {
        for (EntityDeterminerSpecific2 c: EntityDeterminerSpecific2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
